import { html as n } from "lit";
import { property as p } from "lit/decorators.js";
import { PieIconComponent as h } from "./PieIconComponent.js";
import { safeCustomElement as m } from "@justeattakeaway/pie-webc-core";
var f = Object.defineProperty, g = Object.getOwnPropertyDescriptor, i = (l, e, s, r) => {
  for (var t = r > 1 ? void 0 : r ? g(e, s) : e, a = l.length - 1, c; a >= 0; a--)
    (c = l[a]) && (t = (r ? c(e, s, t) : c(t)) || t);
  return r && t && f(e, s, t), t;
};
let o = class extends h {
  constructor() {
    super(...arguments), this.size = 32, this.defaultClasses = "c-pieIcon c-pieIcon--chatBotLarge", this.class = "c-pieIcon c-pieIcon--chatBotLarge", this.name = "IconChatBotLarge";
  }
  render() {
    return n`<svg width="${this._svgWidth}" height="${this._svgHeight}" fill="${this.fill}" xmlns="http://www.w3.org/2000/svg" role="presentation" focusable="false" fill="currentColor" viewBox="0 0 32 32" class="c-pieIcon c-pieIcon--chatBotLarge"><path d="M26.36 9.131a11.769 11.769 0 1 0-14.446 16.573l.105 4.453.997-.157c7-1.173 12.25-5.618 14.202-11.891a11.65 11.65 0 0 0-.858-8.978m-.814 8.453c-1.627 5.328-6.01 9.187-11.82 10.5l-.097-3.65-.604-.183a10.033 10.033 0 0 1 5.871-19.189 10.027 10.027 0 0 1 6.65 12.522m-7.35-1.532 1.698.43a4.016 4.016 0 0 1-7.788 0l1.698-.43a2.266 2.266 0 0 0 4.375 0zm5.68-2.86-1.698.41a1.365 1.365 0 0 0-2.678 0l-1.697-.41a3.107 3.107 0 0 1 6.072 0m-11.323.41a1.365 1.365 0 0 0-2.678 0l-1.697-.41a3.106 3.106 0 0 1 6.072 0z"></path></svg>`;
  }
};
i([
  p({ type: String, reflect: !0 })
], o.prototype, "size", 2);
i([
  p({ type: String, reflect: !0 })
], o.prototype, "class", 2);
o = i([
  m("icon-chat-bot-large")
], o);
export {
  o as IconChatBotLarge
};
